Bug 862442 - kickstart script files are lost after reboot
kickstart script files are lost after reboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 18:41 EDT by Jesse Keating
Modified: 2013-01-09 22:36 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 13:50:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-10-02 18:41:46 EDT
When kickstart scripts don't use --logfile, they get written to /tmp/  either outside the chroot or inside.  When done outside the chroot they are lost upon reboot.  When done inside the chroot they are written to /tmp/ which is tmpfs and thus lost on reboot.

They need to be written elsewhere, and copied to /var/log/anaconda/ on the installed system.  However the facility to copy the logs is itself a kickstart script, chicken/egg.

We can always write out the log file to the out of chroot location of /tmp/ but we need a better solution for copying them in.
Comment 1 Jesse Keating 2012-10-02 18:45:46 EDT
Maybe the ks script that copies the logs can use a --logfile option, and we'd just hardcode that to /mnt/sysimage/<somewhere>.  That seems dangerous.  Or we can just not worry about the log messages from this file?

Note You need to log in before you can comment on or make changes to this bug.